## Delete Collection

### cURL

```bash
curl --request DELETE \
  --url https://api.fabric.inc/v3/collections/{id} \
  --header 'Authorization: Bearer <token>'
```

```python
import requests

url = "https://api.fabric.inc/v3/collections/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

```javascript
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.fabric.inc/v3/collections/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php


```

#### Possible Responses

- **400**: Request was invalid
- **401**: The requester is unauthorized
- **403**: User doesn't have the required permission
- **404**: Resource not found
- **500**: Internal Server Error

```json
{
  "message": "Request was invalid",
  "type": "Bad request",
  "errors": [
    {
      "type": "CLIENT_ERROR",
      "message": "Invalid request"
    }
  ]
}
```

```json
{
  "message": "The requester is unauthorized",
  "type": "UNAUTHORIZED_ERROR"
}
```

```json
{
  "type": "REQUEST_DENIED",
  "message": "User doesn't have the required permission"
}
```

```json
{
  "type": "NOT_FOUND",
  "message": "Resource not found"
}
```

```json
{
  "type": "SERVER_ERROR",
  "message": "Internal Server Error"
}
```

#### Authorizations

**Authorization**  
`string`  
**header**  
*required*  
S2S access token (JWT) from fabric Identity service (during Login)

#### Headers

- **x-fabric-tenant-id**: `string`  
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints.

- **id**: `string`  
*required*  
System-generated 24-character collection ID

#### Response

- **200**: OK
